<Project Sdk="Microsoft.NET.Sdk">
   <Import Project="$(SolutionDir)Solution.props" />
   <PropertyGroup>
      <TargetFramework>net472</TargetFramework>
      <LangVersion>9.0</LangVersion>
      <OutputType>Library</OutputType>
      <AssemblyName>Raytheon.Common</AssemblyName>
      <Product>Raytheon Common Library</Product>
      <Description>Raytheon Common Library</Description>
      
      <!-- Static versioning (Suitable for Development) -->
      <!-- Disable the line below for dynamic versioning -->
      <Version>1.0.0</Version>
      <AllowUnsafeBlocks>true</AllowUnsafeBlocks>
   </PropertyGroup>

   <PropertyGroup>
      <NoWarn>CS0649</NoWarn>
   </PropertyGroup>

   <ItemGroup>
      <PackageReference Include="NLog" Version="5.0.0" />
      <PackageReference Include="Newtonsoft.Json" Version="13.0.2" />
   </ItemGroup>

   <ItemGroup>
     <Reference Include="Microsoft.CSharp" />
     <Reference Include="System.ComponentModel.Composition" />
   </ItemGroup>

   <ItemGroup>
      <COMReference Include="Microsoft.Office.Core">
         <Guid>{2DF8D04C-5BFA-101B-BDE5-00AA0044DE52}</Guid>
         <VersionMajor>2</VersionMajor>
         <VersionMinor>8</VersionMinor>
         <Lcid>0</Lcid>
         <WrapperTool>primary</WrapperTool>
         <Isolated>False</Isolated>
         <EmbedInteropTypes>True</EmbedInteropTypes>
      </COMReference>
      <COMReference Include="Microsoft.Office.Interop.Excel">
         <Guid>{00020813-0000-0000-C000-000000000046}</Guid>
         <VersionMajor>1</VersionMajor>
         <VersionMinor>9</VersionMinor>
         <Lcid>0</Lcid>
         <WrapperTool>primary</WrapperTool>
         <Isolated>False</Isolated>
         <EmbedInteropTypes>True</EmbedInteropTypes>
      </COMReference>
      <COMReference Include="VBIDE">
         <Guid>{0002E157-0000-0000-C000-000000000046}</Guid>
         <VersionMajor>5</VersionMajor>
         <VersionMinor>3</VersionMinor>
         <Lcid>0</Lcid>
         <WrapperTool>primary</WrapperTool>
         <Isolated>False</Isolated>
         <EmbedInteropTypes>True</EmbedInteropTypes>
      </COMReference>
   </ItemGroup>

</Project>